summaryrefslogtreecommitdiff
path: root/ci
diff options
context:
space:
mode:
authorAdriaan de Groot <groot@kde.org>2019-11-28 15:58:02 +0100
committerAdriaan de Groot <groot@kde.org>2019-11-28 15:58:02 +0100
commitb70e5d7e0f424bc4655e474ea957481ea3797195 (patch)
tree54ab326d0a13c13cef69914ddc4dbc4636898b83 /ci
parent3bf1fbba658f912e1d0dc1a233ed2b82e2580165 (diff)
CI: allow cleaning up a string-freeze-check independently
Diffstat (limited to 'ci')
-rw-r--r--ci/txcheck.sh22
1 files changed, 18 insertions, 4 deletions
diff --git a/ci/txcheck.sh b/ci/txcheck.sh
index 46b9959c1..a28caaee9 100644
--- a/ci/txcheck.sh
+++ b/ci/txcheck.sh
@@ -5,6 +5,23 @@
# a translations push, which works for the current development
# workflow .. but it could be improved by looking for one of
# the typical txpush log messages instead of the tag.
+#
+# Use --cleanup as an argument to clean things up.
+
+tx_cleanup()
+{
+ # Cleanup artifacs of checking
+ git worktree remove --force build-txcheck-head
+ git worktree remove --force build-txcheck-prev
+ git branch -D build-txcheck-head > /dev/null 2>&1
+}
+
+if test "x$1" = "x--cleanup" ; then
+ tx_cleanup
+ exit 0
+fi
+test -z "$1" || { echo "! Usage: txcheck.sh [--cleanup]" ; exit 1 ; }
+
if git describe translation > /dev/null 2>&1 ; then
:
else
@@ -63,9 +80,6 @@ else
exit 1
fi
-# Cleanup artifacs of checking
-git worktree remove --force build-txcheck-head
-git worktree remove --force build-txcheck-prev
-git branch -D build-txcheck-head > /dev/null 2>&1
+tx_cleanup
exit 0